package mobile.model.restapi;

import mobile.model.datatype.ObjectFactory;

import oracle.eclipse.tools.rest.runtime.client.ClientContext;
import oracle.eclipse.tools.rest.runtime.client.ClientContextFactory;

import oracle.eclipse.tools.rest.runtime.client.maf.MAFClientContextFactory;

/**
 * Client context factory generated for the paths defined on the REST Service file:
 * /OEPE FiF IncidentReport 1.0 definition.xmi (last modified: 2015-09-24 09:56:37.322)
 */
public final class LocalClientContextFactory implements ClientContextFactory {
  public static ClientContextFactory INSTANCE = new LocalClientContextFactory();
  
  private LocalClientContextFactory() {
    // Not instantiable
  }
  
  @Override
  public ClientContext create() {
    ClientContext context = MAFClientContextFactory.INSTANCE.create();
    context.registerObjectFactory(ObjectFactory.INSTANCE);
    return context;
  }
  
  @Override
  public ClientContext create(String connectionName) {
    ClientContext context = MAFClientContextFactory.INSTANCE.create(connectionName);
    context.registerObjectFactory(ObjectFactory.INSTANCE);
    return context;
  }
}